Package org.apache.jmeter.rmi

# Class RMIServerSocketFactoryImpl

java.lang.Object
org.apache.jmeter.rmi.RMIServerSocketFactoryImpl

All Implemented Interfaces:
  `Serializable`, `RMIServerSocketFactory`

public class RMIServerSocketFactoryImpl extends Object implements RMIServerSocketFactory, Serializable
Custom `RMIServerSocketFactory` that binds RMI to particular host/ip

Since:
  4.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RMIServerSocketFactoryImpl(InetAddress pAddress)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServerSocket`
  `createServerSocket(int port)`
  Creates a server socket that listens on localAddress:port
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RMIServerSocketFactoryImpl

    public RMIServerSocketFactoryImpl(InetAddress pAddress)

- ## Method Details

  - ### createServerSocket

    public ServerSocket createServerSocket(int port) throws IOException
    Creates a server socket that listens on localAddress:port
    Specified by:
      `createServerSocket` in interface `RMIServerSocketFactory`
    Parameters:
      `port` - to use for the RMI server socket
    Throws:
      `IOException`
    See Also:
      - `RMIServerSocketFactory.createServerSocket(int)`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`